﻿using System;
using Telerik.Core;
using Windows.UI.Xaml.Controls;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238
namespace ArrowIndicatorValue
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        private Random rand = new Random();

        public MainPage()
        {
            this.InitializeComponent();
        }

        private void Button_Click(object sender, Windows.UI.Xaml.RoutedEventArgs e)
        {
            (DataContext as ViewModel).Value = this.rand.Next(0, 101);
        }
    }

    public class ViewModel : ViewModelBase
    {
        private double value;

        public ViewModel()
        {
            this.value = 0;
        }

        public double Value
        {
            get
            {
                return this.value;
            }
            set
            {
                if (this.value != value)
                {
                    this.value = value;
                    this.OnPropertyChanged();
                }
            }
        }
    }
}